return {
  'azorng/goose.nvim',
  config = function()
    require('goose').setup({
      keymap = {
        global = {
          toggle = '<leader>xg', -- Open goose. Close if opened
          open_input = '<leader>xx', -- Opens and focuses on input window on insert mode
          open_input_new_session = '<leader>xX', -- Opens and focuses on input window on insert mode. Creates a new session
          open_output = '<leader>xo', -- Opens and focuses on output window
          toggle_focus = '<leader>xt', -- Toggle focus between goose and last window
          close = '<leader>xq', -- Close UI windows
          toggle_fullscreen = '<leader>xf', -- Toggle between normal and fullscreen mode
          select_session = '<leader>xs', -- Select and load a goose session
          goose_mode_chat = '<leader>xmc', -- Set goose mode to `chat`. (Tool calling disabled. No editor context besides selections)
          goose_mode_auto = '<leader>xma', -- Set goose mode to `auto`. (Default mode with full agent capabilities)
          configure_provider = '<leader>xp', -- Quick provider and model switch from predefined list
          diff_open = '<leader>xd', -- Opens a diff tab of a modified file since the last goose prompt
          diff_next = '<leader>x]', -- Navigate to next file diff
          diff_prev = '<leader>x[', -- Navigate to previous file diff
          diff_close = '<leader>xc', -- Close diff view tab and return to normal editing
          diff_revert_all = '<leader>xra', -- Revert all file changes since the last goose prompt
          diff_revert_this = '<leader>xrt', -- Revert current file changes since the last goose prompt
        },
        window = {
          submit = '<C-s>',
        },
      },
    })
  end,
  dependencies = {
    'nvim-lua/plenary.nvim',
    {
      'MeanderingProgrammer/render-markdown.nvim',
    },
  },
}
